Index: CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/COMP/lmdz.card
===================================================================
--- CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/COMP/lmdz.card	(revision 1603)
+++ CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/COMP/lmdz.card	(revision 1662)
@@ -40,9 +40,10 @@
 
 [InitialStateFiles]
-List=	(/u/rech/dzt/rdzt079/LMDZ4/input/RESTART/REF1/96x95x39/restart_interp_REF1_195912.nc, start.nc),\
-        (/u/rech/dzt/rdzt079/LMDZ4/input/RESTART/REF1/96x95x39/restartphy_19551230_CM5PDRC1.nc, startphy.nc)
+List=  (/u/rech/dzt/rdzt354/LMDZ4_AR5/LMDZ4_AR5/OUTPUT/PROD-REF1-KE-4mpi-1omp/1956/restart_195601.nc, start.nc),\
+       (/u/rech/dzt/rdzt354/LMDZ4_AR5/LMDZ4_AR5/OUTPUT/PROD-REF1-KE-4mpi-1omp/1956/restartphy_195601.nc, startphy.nc)
+
 
 [BoundaryFiles]
-List= (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Boundary/${CREATE}_${year}_limit.nc,       limit.nc)
+List= (/u/rech/dzt/rdzt079/LMDZ4/input/LIMIT/Amip/96x95_360d/limit_${year}.nc,       limit.nc)
 #      (/dmnfs/cont003/p86ghatt/IGCM_OUT/LMDZOR/NUDGING-CORDEX-AFR/${year}${month}/u.nc, u.nc),\
 #      (/dmnfs/cont003/p86ghatt/IGCM_OUT/LMDZOR/NUDGING-CORDEX-AFR/${year}${month}/v.nc, v.nc)
@@ -50,17 +51,8 @@
 # With AR5 aerosols (including ASSO4M(=SO4), CSSO4M, AIBCM, ASBCM, AIPOMM, ASPOMM, ASSSM, CSSSM, SSSSM, CIDUSTM)
 # With AR5 ozone(tropo + strato from LMDZOR-INCA-REPROBUS simulations)
-ListNonDel= (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/SOLARANDVOLCANOES_1610_2008.txt, SOLARANDVOLCANOES.txt),\
-	    (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/CO2_1765_2005.txt, CO2.txt),\
-	    (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/CH4_1765_2005.txt, CH4.txt),\
-	    (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/N2O_1765_2005.txt, N2O.txt),\
-	    (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/CFC11_1765_2005.txt, CFC11.txt),\
-	    (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/CFC12_1765_2005.txt, CFC12.txt),\
-	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1855_v3.nc, aerosols.nat.nc)
+ListNonDel= ()
 
 [SmoothFiles]
-# With AR5 aerosols (including ASSO4M(=SO4), CSSO4M, AIBCM, ASBCM, AIPOMM, ASPOMM, ASSSM, CSSSM, SSSSM, CIDUSTM)
-# With AR5 ozone(tropo + strato from LMDZOR-INCA-REPROBUS simulations)
-List=   (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_${year}_v3.nc, aerosols${year}.nc, 1:12:), \
-        (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Boundary/${CREATE}_${year}_climoz_LMDZ.nc,    climoz_LMDZ.nc,     1:12:)
+List= ()
 
 [ParametersFiles]
Index: CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/COMP/reprobus.card
===================================================================
--- CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/COMP/reprobus.card	(revision 1603)
+++ CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/COMP/reprobus.card	(revision 1662)
@@ -11,19 +11,18 @@
 [BoundaryFiles]
 #    yyyymm_p1 yyyymm_m1, month_p1 et month_m1 sont accesible dans un version modifie de libIGCM/trunk
-#    Les fichiers tom, accesible uniqument pour 1995 ?
 List=(/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF1/AERO/aer_2D-${yyyymm_m1}15.nc, aerm.nc),\
      (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF1/AERO/aer_2D-${year}${month}15.nc, aer.nc),\
      (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF1/AERO/aer_2D-${yyyymm_p1}15.nc, aerp.nc),\
-     (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF1/FORC/forc_2D-${yyyymm_m1}15.nc, forcm.nc),\
-     (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF1/FORC/forc_2D-${year}${month}15.nc, forc.nc),\
-     (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF1/FORC/forc_2D-${yyyymm_p1}15.nc, forcp.nc),\
+     (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF2/FORC/forc_2D-${yyyymm_m1}15.nc, forcm.nc),\
+     (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF2/FORC/forc_2D-${year}${month}15.nc, forc.nc),\
+     (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF2/FORC/forc_2D-${yyyymm_p1}15.nc, forcp.nc),\
      (/u/rech/dzt/rdzt079/LMDZ4/input/TOMCAT_3D/tom_3D-1995${month_m1}.nc, tomm.nc),\
      (/u/rech/dzt/rdzt079/LMDZ4/input/TOMCAT_3D/tom_3D-1995${month}.nc, tom.nc),\
      (/u/rech/dzt/rdzt079/LMDZ4/input/TOMCAT_3D/tom_3D-1995${month_p1}.nc, tomp.nc),\
-     (/u/rech/dzt/rdzt893/Input_Rebrobus/LIEN_TMP/input/SOLAR/jstrato/${year}/jstrato.${year}${month}, jstrato)
+     (/u/rech/dzt/rdzt079/LMDZ4/input/SOLAR/jstrato/${year}/jstrato.${year}${month}, jstrato)
 
 ListNonDel=(/u/rech/dzt/rdzt079/LMDZ4/input/SOLAR/SolarFlux-1950-2006.nc, SolarFlux.nc),\
            (/u/rech/dzt/rdzt079/LMDZ4/input/GHG_ODS/CCMVal/ghg_ref1-1850-2006.nc, ghg-ccmval.nc),\
-           (/u/rech/dzt/rdzt079/LMDZ4/input/GHG_ODS/CCMVal/ods_2007-1951-2100.nc, ods-ccmval.nc,)
+           (/u/rech/dzt/rdzt079/LMDZ4/input/GHG_ODS/CCMVal/ods_2007-1951-2100.nc, ods-ccmval.nc)
            
 
Index: CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/PARAM/physiq.def_L39_AP
===================================================================
--- CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/PARAM/physiq.def_L39_AP	(revision 1603)
+++ CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/PARAM/physiq.def_L39_AP	(revision 1662)
@@ -163,7 +163,7 @@
 #
 ### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
+ok_ade=n
 ### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
+ok_aie=n
 ### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
 # variable modife avec lmdz.card
@@ -182,5 +182,5 @@
 # 1: read a single ozone climatology that will be used day and night
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
+read_climoz=0
 #
 # Parametres simulateur COSP (CFMIP Observational Simulator Package)
Index: CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/PARAM/reprobus.def
===================================================================
--- CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/PARAM/reprobus.def	(revision 1603)
+++ CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/PARAM/reprobus.def	(revision 1662)
@@ -13,2 +13,19 @@
 ##
 ok_suntime=y
+
+## OUTPUT AUTRE QUE TRACEURS: NAS: nonadvected species ou/et J-Rate Flux 
+##                                 ou/et R-Rate Flux
+ok_outputnas=y
+##
+ok_outputjflux=y
+##
+ok_outputrflux=y
+##
+ok_outputcolo3=y
+##
+ok_outputsurfaceaero=y
+##
+ok_outputparth=y
+
+## ajout de 3 traceurs age de l'air SPARC
+ok_aga=y
Index: CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/PARAM/traceur.def
===================================================================
--- CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/PARAM/traceur.def	(revision 1603)
+++ CONFIG/LMDZREPR/branches/LMDZREPR_v1/EXP/PARAM/traceur.def	(revision 1662)
@@ -1,3 +1,3 @@
-46
+49
 14 14 H2Ov
 10 10 H2Ol
@@ -46,2 +46,5 @@
 10 10 HNO3_g
 10 10 AgeAire
+10 10 PulseAA
+10 10 LineaAA
+10 10 IdealAA