Index: CONFIG/IPSL_ESM/IPSLCM5CHEM_uni/USER_SPEC/LMDZREPR/ref1/COMP/lmdz.card
===================================================================
--- CONFIG/IPSL_ESM/IPSLCM5CHEM_uni/USER_SPEC/LMDZREPR/ref1/COMP/lmdz.card	(revision 1670)
+++ CONFIG/IPSL_ESM/IPSLCM5CHEM_uni/USER_SPEC/LMDZREPR/ref1/COMP/lmdz.card	(revision 1670)
@@ -0,0 +1,194 @@
+# $Id$
+
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+# Physics package to use : 
+# AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources 
+# NPv3.0 for new physics, to be used with LMDZ5/trunk revision 1554 or later
+LMDZ_Physics=AP
+#LMDZ_Physics=NPv3.0
+
+# You can choose here the name of create_etat0 you want to use
+# If noting is defined here, the job will get the JobName in the file  ../CREATE/config.card
+CREATE=ELI-${RESOL_ATM_3D}
+ByPass_hgardfou_teta=n
+ByPass_hgardfou_mats=n
+LMDZ_NbPeriod_adjust=3
+# LMDZ_NbPeriod_adjust=0
+# To force usage of this Bands file, put LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart Job Name
+# LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5/XXXXXXX/ATM/Debug/XXXXXXX_Bands_96x95x19_3prc.dat_3
+
+# Set COSP activation and Outputs frequency (monthly, daily, HF) = y/n
+LMDZ_COSP_OK=n
+LMDZ_COSP_monthly=y
+LMDZ_COSP_daily=y
+LMDZ_COSP_hf=n
+
+# Set NMC Outputs frequency (monthly, daily, HF) = y/n
+LMDZ_NMC_monthly=n
+LMDZ_NMC_daily=n
+LMDZ_NMC_hf=n
+
+# Other specific parameters to this experience 
+aer_type=annuel
+pmagic=0.0
+
+# Nugding : ok_guide=y/n
+ok_guide=n
+
+[InitialStateFiles]
+List=  (/u/rech/dzt/rdzt354/LMDZ4_AR5/LMDZ4_AR5/OUTPUT/PROD-REF1-KE-4mpi-1omp/1956/restart_195601.nc, start.nc),\
+       (/u/rech/dzt/rdzt354/LMDZ4_AR5/LMDZ4_AR5/OUTPUT/PROD-REF1-KE-4mpi-1omp/1956/restartphy_195601.nc, startphy.nc)
+
+
+[BoundaryFiles]
+List= (/u/rech/dzt/rdzt079/LMDZ4/input/LIMIT/Amip/96x95_360d/limit_${year}.nc,       limit.nc)
+#      (/dmnfs/cont003/p86ghatt/IGCM_OUT/LMDZOR/NUDGING-CORDEX-AFR/${year}${month}/u.nc, u.nc),\
+#      (/dmnfs/cont003/p86ghatt/IGCM_OUT/LMDZOR/NUDGING-CORDEX-AFR/${year}${month}/v.nc, v.nc)
+
+# With AR5 aerosols (including ASSO4M(=SO4), CSSO4M, AIBCM, ASBCM, AIPOMM, ASPOMM, ASSSM, CSSSM, SSSSM, CIDUSTM)
+# With AR5 ozone(tropo + strato from LMDZOR-INCA-REPROBUS simulations)
+ListNonDel= ()
+
+[SmoothFiles]
+List= ()
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, physiq.def), \
+	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
+	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
+	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
+	(${SUBMIT_DIR}/PARAM/guide.def, .), \
+	(${SUBMIT_DIR}/PARAM/run.def, .), \
+	(${SUBMIT_DIR}/PARAM/traceur.def.repr, traceur.def)
+
+[RestartFiles]
+List=	(restart.nc, restart.nc, start.nc), \
+	(restartphy.nc, restartphy.nc,  startphy.nc)
+
+[OutputText]
+List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, used_run.def)
+
+[OutputFiles]
+List=	(histmth.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,      Post_1M_histmth),     \
+	(histmthCOSP.nc,  ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,  Post_1M_histmthCOSP), \
+	(histmthNMC.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,   Post_1M_histmthNMC),  \
+	(dynzon.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_dynzon.nc,       Post_1M_dynzon),      \
+	(histday.nc,      ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,      Post_1D_histday),     \
+	(histdayCOSP.nc,  ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,  Post_1D_histdayCOSP), \
+	(histdayNMC.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayNMC.nc,   Post_1D_histdayNMC),  \
+	(histhf.nc,       ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,       Post_HF_histhf),      \
+	(histhfCOSP.nc,   ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfCOSP.nc,   Post_HF_histhfCOSP),  \
+	(histhfNMC.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfNMC.nc,    Post_HF_histhfNMC),   \
+	(histhf3h.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3h.nc,     Post_3H_histhf3h),    \
+        (histhf3hm.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3hm.nc,    Post_3H_histhf3hm)
+
+[Post_1M_histmth]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, ftime_th, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, LWupTOA, LWupTOAclr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, mc, nettop, paprs, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (upwd, lwcon, iwcon, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres, rneb, rnebcon, rhum, ec550aer, concoa, concbc, concso4, concss, concdust, reffclws, reffclwc)
+ChunckJob3D = 100Y
+Seasonal=ON
+
+[Post_1M_histmthCOSP]
+Patches = ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE 
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1M_histmthNMC]
+Patches = ()
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
+ChunckJob3D = 100Y
+Seasonal=ON
+
+[Post_1M_dynzon]
+Patches = ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1D_histday]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, SWdnSFC, LWupSFCclr,SWupSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
+ChunckJob2D = 200Y
+TimeSeriesVars3D = (rhum, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres)
+ChunckJob3D = 10Y
+Seasonal=OFF
+
+[Post_1D_histdayCOSP]
+Patches = ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE 
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1D_histdayNMC]
+Patches = ()
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap)
+ChunckJob3D = 10Y
+Seasonal=OFF
+
+[Post_HF_histhf]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, t2m, tsol, u10m, v10m, t850, t700, t500, t200, t50, t10, u850, u700, u500, u200, u50, u10, v850, v700, v500, v200, v50, v10, phi850, phi700, phi200, phi50, phi10, w850, w700, w500, w200, w50, w10, q850, q700, q500, q200, q50, q10)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (temp, theta, ovap, vitu, vitv)
+ChunckJob3D = 10Y
+Seasonal=OFF
+
+[Post_HF_histhfCOSP]
+Patches = ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE 
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_HF_histhfNMC]
+Patches = ()
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT)
+ChunckJob3D = 100Y
+Seasonal=OFF
+
+[Post_3H_histhf3h]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+TimeSeriesVars2D = (phis, tsol, t2m, q2m, u10m, v10m, psol, topl, bils, cdrh)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = ()
+ChunckJob3D = OFF
+Seasonal=OFF
+
+[Post_3H_histhf3hm]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+TimeSeriesVars2D = (precip, flat, sens, LWdnSFC, LWupSFC, SWdnSFC, SWupSFC, pluc, snow, LWdnSFCclr, SWdnSFCclr, LWupSFCclr, cldt)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = ()
+ChunckJob3D = OFF
+Seasonal=OFF
Index: CONFIG/IPSL_ESM/IPSLCM5CHEM_uni/USER_SPEC/LMDZREPR/ref1/COMP/reprobus.card
===================================================================
--- CONFIG/IPSL_ESM/IPSLCM5CHEM_uni/USER_SPEC/LMDZREPR/ref1/COMP/reprobus.card	(revision 1670)
+++ CONFIG/IPSL_ESM/IPSLCM5CHEM_uni/USER_SPEC/LMDZREPR/ref1/COMP/reprobus.card	(revision 1670)
@@ -0,0 +1,42 @@
+# $Id$
+
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List= ()
+
+[BoundaryFiles]
+#    yyyymm_p1 yyyymm_m1, month_p1 et month_m1 sont accesible dans un version modifie de libIGCM/trunk
+List=(/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF1/AERO/aer_2D-${yyyymm_m1}15.nc, aerm.nc),\
+     (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF1/AERO/aer_2D-${year}${month}15.nc, aer.nc),\
+     (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF1/AERO/aer_2D-${yyyymm_p1}15.nc, aerp.nc),\
+     (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF2/FORC/forc_2D-${yyyymm_m1}15.nc, forcm.nc),\
+     (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF2/FORC/forc_2D-${year}${month}15.nc, forc.nc),\
+     (/u/rech/dzt/rdzt079/LMDZ4/input/MODELE_2D/REF2/FORC/forc_2D-${yyyymm_p1}15.nc, forcp.nc),\
+     (/u/rech/dzt/rdzt079/LMDZ4/input/TOMCAT_3D/tom_3D-1995${month_m1}.nc, tomm.nc),\
+     (/u/rech/dzt/rdzt079/LMDZ4/input/TOMCAT_3D/tom_3D-1995${month}.nc, tom.nc),\
+     (/u/rech/dzt/rdzt079/LMDZ4/input/TOMCAT_3D/tom_3D-1995${month_p1}.nc, tomp.nc),\
+     (/u/rech/dzt/rdzt079/LMDZ4/input/SOLAR/jstrato/${year}/jstrato.${year}${month}, jstrato)
+
+ListNonDel=(/u/rech/dzt/rdzt079/LMDZ4/input/SOLAR/SolarFlux-1950-2006.nc, SolarFlux.nc),\
+           (/u/rech/dzt/rdzt079/LMDZ4/input/GHG_ODS/CCMVal/ghg_ref1-1850-2006.nc, ghg-ccmval.nc),\
+           (/u/rech/dzt/rdzt079/LMDZ4/input/GHG_ODS/CCMVal/ods_2007-1951-2100.nc, ods-ccmval.nc)
+           
+
+[SmoothFiles]
+List= ()
+
+[ParametersFiles]
+List= (${SUBMIT_DIR}/PARAM/reprobus.def, .)
+
+[RestartFiles]
+List= ( NONE )
+
+[OutputText]
+List= (reprobus.def)
+
+[OutputFiles]
+List= ()
Index: CONFIG/IPSL_ESM/IPSLCM5CHEM_uni/USER_SPEC/LMDZREPR/ref1/config.card
===================================================================
--- CONFIG/IPSL_ESM/IPSLCM5CHEM_uni/USER_SPEC/LMDZREPR/ref1/config.card	(revision 1670)
+++ CONFIG/IPSL_ESM/IPSLCM5CHEM_uni/USER_SPEC/LMDZREPR/ref1/config.card	(revision 1670)
@@ -0,0 +1,127 @@
+# $Id$
+# This is config.card file for restart with an NEW libIGCM simulation tree.
+#
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+#D-- UserChoices -
+[UserChoices]
+#============================
+#-- (<8 chars MAX for JobName)
+JobName=repr1
+#----- Short Name of Experiment
+ExperimentName=REF1
+#----- DEVT TEST PROD
+SpaceName=TEST
+LongName="LMDZ4OR configuration using the SVN trunk of LMDZ4"
+TagName=LMDZOR
+UserSpec=LMDZREPR/ref1
+#============================
+#-- leap, noleap, 360d
+CalendarType=360d
+#-- Begin and end of job 
+#-- "YYYY-MM-DD"
+DateBegin=1980-01-01
+DateEnd=1980-04-30
+#============================
+#-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
+PeriodLength=1M
+#============================
+#-- PBS Class (required on brodie mono/multi)
+#JobClass=mono
+JobClass=multi
+#============================
+#-- Total Number of Processors
+JobNumProcTot=32
+#============================
+#-- Run Options
+#JobRunOptions='"-np "${NUM_PROC_ATM}'
+#-- for vargas
+JobRunOptions=''
+#============================
+# config.card configuration options :
+#R_INIT=/u/rech/psl/rpsl035/IGCM/INIT
+#R_INIT=/dmnfs/cont003/p86ipsl/IGCM/INIT
+#R_BC=/u/rech/psl/rpsl035/IGCM/BC
+#R_BC=/dmnfs/cont003/p86ipsl/IGCM/BC
+#============================
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- by default: config.card describes no restart for all components 
+#D-             ie start from Levitus or limit files
+#D- If you want to restart all components from the same simulation,
+#D-      put OveRule flag to 'y' and set the next 3 parameters
+OverRule=n
+#D- Last day of the experience used as restart for all components
+RestartDate=2000-01-31
+#D- Define restart simulation name for all components
+RestartJobName=EXP00
+#D- Path Server Group Login
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDZOR/DEVT/amip
+
+#========================================================================
+#D-- ATM -
+[ATM]
+#
+WriteFrequency="1M 1D HF"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart=n
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=2000-01-31
+# Define restart simulation name for this component
+RestartJobName=LMDZOR01
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDZOR/DEVT/amip
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- CHM -- 
+[CHM]
+WriteFrequency="1M HF"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart=n
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=
+# Define restart simulation name for this component
+RestartJobName=
+RestartPath=
+#-- Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ATM= (lmdz, LMDZ5)
+CHM= (reprobus, REPROBUS)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+Name=lmdz.x
+#D- For each component, Real name of executable, Name of executable for oasis
+ATM= (gcm.e, lmdz.x)
+CHM= ("", "")
+
+#========================================================================
+#D-- Post -
+[Post]
+#D- Do we rebuild parallel output, this flag determines
+#D- frequency of rebuild submission (use NONE for DRYRUN=3)
+RebuildFrequency=1Y
+#D- Do we rebuild parallel output from archive (use NONE to use SCRATCHDIR as buffer)
+RebuildFromArchive=NONE
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission (NONE if you don't want)
+TimeSeriesFrequency=NONE
+#D- If you want to produce seasonal average, this flag determines
+#D- the period of this average (NONE if you don't want)
+SeasonalFrequency=NONE
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulation's years
+SeasonalFrequencyOffset=0
+
+#========================================================================