Index: /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/DRIVER/lmdz.driver	(revision 1685)
+++ /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/DRIVER/lmdz.driver	(revision 1686)
@@ -350,4 +350,15 @@
 
 
+    # config.def : If running with Reprobus, desactivate ok_ade, ok_aie and read_climoz
+    if [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
+	LMDZ_sed config.def ok_ade n
+	LMDZ_sed config.def ok_aie n
+	LMDZ_sed config.def read_climoz 0
+    else
+	LMDZ_sed config.def ok_ade y
+	LMDZ_sed config.def ok_aie y
+	LMDZ_sed config.def read_climoz 2
+    fi
+
     # guide.def : Activate nudging if ok_guide set in lmdz.card
     if [ ! X${lmdz_UserChoices_ok_guide} = X ] ; then
Index: /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/config.def_L19
===================================================================
--- /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/config.def_L19	(revision 1685)
+++ /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/config.def_L19	(revision 1686)
@@ -38,7 +38,7 @@
 #
 ### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
+ok_ade=_AUTO_
 ### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
+ok_aie=_AUTO_
 ### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
 aer_type=actuel
@@ -56,3 +56,3 @@
 # 1: read a single ozone climatology that will be used day and night
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=0
+read_climoz=_AUTO_
Index: /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/config.def_actuel
===================================================================
--- /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/config.def_actuel	(revision 1685)
+++ /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/config.def_actuel	(revision 1686)
@@ -38,7 +38,7 @@
 #
 ### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
+ok_ade=_AUTO_
 ### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
+ok_aie=_AUTO_
 ### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
 aer_type=actuel
@@ -56,3 +56,3 @@
 # 1: read a single ozone climatology that will be used day and night
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
+read_climoz=_AUTO_
Index: /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/config.def_annuel
===================================================================
--- /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/config.def_annuel	(revision 1685)
+++ /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/config.def_annuel	(revision 1686)
@@ -38,7 +38,7 @@
 #
 ### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
+ok_ade=_AUTO_
 ### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
+ok_aie=_AUTO_
 ### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
 aer_type=annuel
@@ -56,3 +56,3 @@
 # 1: read a single ozone climatology that will be used day and night
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
+read_climoz=_AUTO_
Index: /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/config.def_preind
===================================================================
--- /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/config.def_preind	(revision 1685)
+++ /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/config.def_preind	(revision 1686)
@@ -38,7 +38,7 @@
 #
 ### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
+ok_ade=_AUTO_
 ### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
+ok_aie=_AUTO_
 ### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
 aer_type=preind
@@ -56,3 +56,3 @@
 # 1: read a single ozone climatology that will be used day and night
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
+read_climoz=_AUTO_
Index: /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/run.def
===================================================================
--- /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/run.def	(revision 1685)
+++ /CONFIG/UNIFORM/u1/IPSLCM5_u1/GENERAL/PARAM/run.def	(revision 1686)
@@ -6,4 +6,5 @@
 INCLUDEDEF=output.def
 INCLUDEDEF=config.def
+INCLUDEDEF=reprobus.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/DRIVER/lmdz.driver	(revision 1685)
+++ /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/DRIVER/lmdz.driver	(revision 1686)
@@ -350,4 +350,15 @@
 
 
+    # config.def : If running with Reprobus, desactivate ok_ade, ok_aie and read_climoz
+    if [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
+	LMDZ_sed config.def ok_ade n
+	LMDZ_sed config.def ok_aie n
+	LMDZ_sed config.def read_climoz 0
+    else
+	LMDZ_sed config.def ok_ade y
+	LMDZ_sed config.def ok_aie y
+	LMDZ_sed config.def read_climoz 2
+    fi
+
     # guide.def : Activate nudging if ok_guide set in lmdz.card
     if [ ! X${lmdz_UserChoices_ok_guide} = X ] ; then
Index: /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/config.def_L19
===================================================================
--- /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/config.def_L19	(revision 1685)
+++ /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/config.def_L19	(revision 1686)
@@ -38,7 +38,7 @@
 #
 ### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
+ok_ade=_AUTO_
 ### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
+ok_aie=_AUTO_
 ### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
 aer_type=actuel
@@ -56,3 +56,3 @@
 # 1: read a single ozone climatology that will be used day and night
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=0
+read_climoz=_AUTO_
Index: /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/config.def_actuel
===================================================================
--- /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/config.def_actuel	(revision 1685)
+++ /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/config.def_actuel	(revision 1686)
@@ -38,7 +38,7 @@
 #
 ### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
+ok_ade=_AUTO_
 ### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
+ok_aie=_AUTO_
 ### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
 aer_type=actuel
@@ -56,3 +56,3 @@
 # 1: read a single ozone climatology that will be used day and night
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
+read_climoz=_AUTO_
Index: /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/config.def_annuel
===================================================================
--- /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/config.def_annuel	(revision 1685)
+++ /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/config.def_annuel	(revision 1686)
@@ -38,7 +38,7 @@
 #
 ### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
+ok_ade=_AUTO_
 ### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
+ok_aie=_AUTO_
 ### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
 aer_type=annuel
@@ -56,3 +56,3 @@
 # 1: read a single ozone climatology that will be used day and night
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
+read_climoz=_AUTO_
Index: /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/config.def_preind
===================================================================
--- /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/config.def_preind	(revision 1685)
+++ /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/config.def_preind	(revision 1686)
@@ -38,7 +38,7 @@
 #
 ### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
+ok_ade=_AUTO_
 ### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
+ok_aie=_AUTO_
 ### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
 aer_type=preind
@@ -56,3 +56,3 @@
 # 1: read a single ozone climatology that will be used day and night
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
+read_climoz=_AUTO_
Index: /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/run.def
===================================================================
--- /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/run.def	(revision 1685)
+++ /CONFIG/UNIFORM/u1/LMDZOR_u1/GENERAL/PARAM/run.def	(revision 1686)
@@ -6,4 +6,5 @@
 INCLUDEDEF=output.def
 INCLUDEDEF=config.def
+INCLUDEDEF=reprobus.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d