Index: modipsl/trunk/util/mod.def
===================================================================
--- modipsl/trunk/util/mod.def	(revision 1701)
+++ modipsl/trunk/util/mod.def	(revision 1702)
@@ -288,9 +288,9 @@
 #-H- ORCHIDEE_SVN_HEAD  ORCHIDEE trunk
 #-H- ORCHIDEE_SVN_HEAD  IOIPSL trunk
-#-H- ORCHIDEE_SVN_HEAD  libIGCM tag libIGCM_v1_11
+#-H- ORCHIDEE_SVN_HEAD  libIGCM tag libIGCM_v2.0_beta1
 #-H- ORCHIDEE_SVN_HEAD  FCM svn version PATCHED/FCM_V1.2
-#-M- ORCHIDEE_SVN_HEAD  Martial.Mancip@ipsl.jussieu.fr
+#-M- ORCHIDEE_SVN_HEAD  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_HEAD  IOIPSL/trunk/src       HEAD   8 IOIPSL/src      modeles
-#-C- ORCHIDEE_SVN_HEAD  tags/libIGCM_v1_11     HEAD  10 libIGCM         .
+#-C- ORCHIDEE_SVN_HEAD  tags/libIGCM_v2.0_beta1 HEAD 10 libIGCM         .
 #-C- ORCHIDEE_SVN_HEAD  PATCHED/FCM_V1.2       HEAD  13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_SVN_HEAD  trunk/ORCHIDEE                 ?       14 .
@@ -307,9 +307,9 @@
 #-H- ORCHIDEE_SVN_DEV  ORCHIDEE trunk
 #-H- ORCHIDEE_SVN_DEV  IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v1_11
+#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.0_beta1
 #-H- ORCHIDEE_SVN_DEV  FCM svn version PATCHED/FCM_V1.2
-#-M- ORCHIDEE_SVN_DEV  Martial.Mancip@ipsl.jussieu.fr
+#-M- ORCHIDEE_SVN_DEV  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_DEV  IOIPSL/tags/v2_2_1/src HEAD   8 IOIPSL/src      modeles
-#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v1_11     HEAD  10 libIGCM         .
+#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.0_beta1 HEAD  10 libIGCM         .
 #-C- ORCHIDEE_SVN_DEV  PATCHED/FCM_V1.2       HEAD  13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE                 ?       15 .
@@ -328,9 +328,9 @@
 #-H- ORCHIDEE_AR5  ORCHIDEE_OL SCRIPTS with no tag
 #-H- ORCHIDEE_AR5  IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_AR5  libIGCM tag libIGCM_v1_11
+#-H- ORCHIDEE_AR5  libIGCM tag libIGCM_v2.0_beta1
 #-H- ORCHIDEE_AR5  FCM svn version PATCHED/FCM_V1.2
-#-M- ORCHIDEE_AR5  Martial.Mancip@ipsl.jussieu.fr
+#-M- ORCHIDEE_AR5  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_AR5  IOIPSL/tags/v2_2_1/src   HEAD            8  IOIPSL/src modeles
-#-C- ORCHIDEE_AR5  tags/libIGCM_v1_11       HEAD            10 libIGCM .
+#-C- ORCHIDEE_AR5  tags/libIGCM_v2.0_beta1  HEAD            10 libIGCM .
 #-C- ORCHIDEE_AR5  PATCHED/FCM_V1.2         HEAD            13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_AR5  ORCHIDEE                 orchidee_1_9_5  2  .
@@ -346,9 +346,9 @@
 #-H- ORCHIDEE_SVN_AR5 ORCHIDEE tag ORCHIDEE_1_9_5
 #-H- ORCHIDEE_SVN_AR5 IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v1_11
+#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.0_beta1
 #-H- ORCHIDEE_SVN_AR5 FCM svn version PATCHED/FCM_V1.2
-#-M- ORCHIDEE_SVN_AR5 Martial.Mancip@ipsl.jussieu.fr
+#-M- ORCHIDEE_SVN_AR5 Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_AR5 IOIPSL/tags/v2_2_1/src   HEAD            8  IOIPSL/src      modeles
-#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v1_11       HEAD            10 libIGCM         .
+#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.0_beta1  HEAD            10 libIGCM         .
 #-C- ORCHIDEE_SVN_AR5 PATCHED/FCM_V1.2         HEAD            13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE                 ?       14 .
@@ -364,9 +364,9 @@
 #-H- ORCHIDEE_TAG ORCHIDEE tag ORCHIDEE_1_9_5_2
 #-H- ORCHIDEE_TAG IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v1_11
+#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.0_beta1
 #-H- ORCHIDEE_TAG FCM svn version PATCHED/FCM_V1.2
-#-M- ORCHIDEE_TAG Martial.Mancip@ipsl.jussieu.fr
+#-M- ORCHIDEE_TAG Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_TAG IOIPSL/tags/v2_2_1/src   HEAD            8  IOIPSL/src      modeles
-#-C- ORCHIDEE_TAG tags/libIGCM_v1_11       HEAD            10 libIGCM         .
+#-C- ORCHIDEE_TAG tags/libIGCM_v2.0_beta1  HEAD            10 libIGCM         .
 #-C- ORCHIDEE_TAG PATCHED/FCM_V1.2         HEAD            13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_5_2/ORCHIDEE                 ?       14 .
@@ -388,5 +388,5 @@
 ####-C- LMDZOR_v4  LMDZ4/branches/LMDZ4_AR5       HEAD               11 LMDZ       modeles
 #-C- LMDZOR_v4  CONFIG/LMDZOR/branches/LMDZOR_v4  HEAD               8  LMDZOR_v4  config
-#-C- LMDZOR_v4  tags/libIGCM_v1_12                HEAD               10 libIGCM    .
+#-C- LMDZOR_v4  tags/libIGCM_v2.0_beta1           HEAD               10 libIGCM    .
 #
 #-H- LMDZ4OR_v3  Obsolete version
@@ -397,5 +397,5 @@
 #-C- LMDZ4OR_v3  LMDZ4/branches/LMDZ4_AR5          1483               11 LMDZ4      modeles
 #-C- LMDZ4OR_v3  CONFIG/LMDZOR/branches/LMDZ4OR_v3 HEAD               8  LMDZ4OR_v3 config
-#-C- LMDZ4OR_v3  tags/libIGCM_v1_10                HEAD               10 libIGCM    .
+#-C- LMDZ4OR_v3  tags/libIGCM_v2.0_beta1           HEAD               10 libIGCM    .
 #-
 #-H- LMDZ4OR_v2  Obsolete version
@@ -406,5 +406,5 @@
 #-H- LMDZ4OR_v2  ORCHIDEE tag orchidee_1_9_2
 #-H- LMDZ4OR_v2  LMDZ4OR_v2 svn branch
-#-H- LMDZ4OR_v2  libIGCM tag libIGCM_v1_5
+#-H- LMDZ4OR_v2  libIGCM tag libIGCM_v2.0_beta1
 #-M- LMDZ4OR_v2  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- LMDZ4OR_v2  IOIPSL/tags/v2_1_6/src            HEAD           8  IOIPSL/src modeles
@@ -412,5 +412,5 @@
 #-C- LMDZ4OR_v2  LMDZ4/tags/LMDZ4_V3_4             HEAD           11 LMDZ4      modeles
 #-C- LMDZ4OR_v2  CONFIG/LMDZOR/branches/LMDZ4OR_v2 HEAD           8  LMDZ4OR_v2 config
-#-C- LMDZ4OR_v2  tags/libIGCM_v1_5                 HEAD           10 libIGCM    .
+#-C- LMDZ4OR_v2  tags/libIGCM_v2.0_beta1           HEAD           10 libIGCM    .
 #-
 #-H- LMDZ4OR  Obsolete version
@@ -433,5 +433,5 @@
 #-C- LMDZREPR  trunk                                HEAD               16 REPROBUS   modeles
 #-C- LMDZREPR  CONFIG/LMDZREPR/branches/LMDZREPR_v1 HEAD               8  LMDZREPR   config
-#-C- LMDZREPR  tags/libIGCM_v1_12                   HEAD               10 libIGCM    .
+#-C- LMDZREPR  tags/libIGCM_v2.0_beta1              HEAD               10 libIGCM    .
 #
 #