Index: /modipsl/trunk/util/mod.def
===================================================================
--- /modipsl/trunk/util/mod.def	(revision 1703)
+++ /modipsl/trunk/util/mod.def	(revision 1704)
@@ -288,9 +288,10 @@
 #-H- ORCHIDEE_SVN_HEAD  ORCHIDEE trunk
 #-H- ORCHIDEE_SVN_HEAD  IOIPSL trunk
-#-H- ORCHIDEE_SVN_HEAD  libIGCM tag libIGCM_v2.0_beta1
+#-H- ORCHIDEE_SVN_HEAD  libIGCM tag libIGCM_v1_11
 #-H- ORCHIDEE_SVN_HEAD  FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_SVN_HEAD  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_HEAD  IOIPSL/trunk/src       HEAD   8 IOIPSL/src      modeles
-#-C- ORCHIDEE_SVN_HEAD  tags/libIGCM_v2.0_beta1 HEAD 10 libIGCM         .
+##-C- ORCHIDEE_SVN_HEAD  tags/libIGCM_v2.0_beta1 HEAD 10 libIGCM         .
+#-C- ORCHIDEE_SVN_HEAD  tags/libIGCM_v1_11 HEAD 10 libIGCM         .
 #-C- ORCHIDEE_SVN_HEAD  PATCHED/FCM_V1.2       HEAD  13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_SVN_HEAD  trunk/ORCHIDEE                 ?       14 .
@@ -307,9 +308,10 @@
 #-H- ORCHIDEE_SVN_DEV  ORCHIDEE trunk
 #-H- ORCHIDEE_SVN_DEV  IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.0_beta1
+#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v1_11
 #-H- ORCHIDEE_SVN_DEV  FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_SVN_DEV  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_DEV  IOIPSL/tags/v2_2_1/src HEAD   8 IOIPSL/src      modeles
-#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.0_beta1 HEAD  10 libIGCM         .
+###-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.0_beta1 HEAD  10 libIGCM         .
+#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v1_11 HEAD  10 libIGCM         .
 #-C- ORCHIDEE_SVN_DEV  PATCHED/FCM_V1.2       HEAD  13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE                 ?       15 .
@@ -328,9 +330,10 @@
 #-H- ORCHIDEE_AR5  ORCHIDEE_OL SCRIPTS with no tag
 #-H- ORCHIDEE_AR5  IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_AR5  libIGCM tag libIGCM_v2.0_beta1
+#-H- ORCHIDEE_AR5  libIGCM tag libIGCM_v1_11
 #-H- ORCHIDEE_AR5  FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_AR5  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_AR5  IOIPSL/tags/v2_2_1/src   HEAD            8  IOIPSL/src modeles
-#-C- ORCHIDEE_AR5  tags/libIGCM_v2.0_beta1  HEAD            10 libIGCM .
+###-C- ORCHIDEE_AR5  tags/libIGCM_v2.0_beta1  HEAD            10 libIGCM .
+#-C- ORCHIDEE_AR5  tags/libIGCM_v1_11  HEAD            10 libIGCM .
 #-C- ORCHIDEE_AR5  PATCHED/FCM_V1.2         HEAD            13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_AR5  ORCHIDEE                 orchidee_1_9_5  2  .
@@ -346,9 +349,10 @@
 #-H- ORCHIDEE_SVN_AR5 ORCHIDEE tag ORCHIDEE_1_9_5
 #-H- ORCHIDEE_SVN_AR5 IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.0_beta1
+#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v1_11
 #-H- ORCHIDEE_SVN_AR5 FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_SVN_AR5 Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_AR5 IOIPSL/tags/v2_2_1/src   HEAD            8  IOIPSL/src      modeles
-#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.0_beta1  HEAD            10 libIGCM         .
+###-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.0_beta1  HEAD            10 libIGCM         .
+#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v1_11  HEAD            10 libIGCM         .
 #-C- ORCHIDEE_SVN_AR5 PATCHED/FCM_V1.2         HEAD            13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE                 ?       14 .
@@ -364,9 +368,10 @@
 #-H- ORCHIDEE_TAG ORCHIDEE tag ORCHIDEE_1_9_5_2
 #-H- ORCHIDEE_TAG IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.0_beta1
+#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v1_11
 #-H- ORCHIDEE_TAG FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_TAG Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_TAG IOIPSL/tags/v2_2_1/src   HEAD            8  IOIPSL/src      modeles
-#-C- ORCHIDEE_TAG tags/libIGCM_v2.0_beta1  HEAD            10 libIGCM         .
+###-C- ORCHIDEE_TAG tags/libIGCM_v2.0_beta1  HEAD            10 libIGCM         .
+#-C- ORCHIDEE_TAG tags/libIGCM_v1_11  HEAD            10 libIGCM         .
 #-C- ORCHIDEE_TAG PATCHED/FCM_V1.2         HEAD            13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_5_2/ORCHIDEE                 ?       14 .