Index: /modipsl/trunk/util/mod.def
===================================================================
--- /modipsl/trunk/util/mod.def	(revision 1717)
+++ /modipsl/trunk/util/mod.def	(revision 1718)
@@ -288,10 +288,9 @@
 #-H- ORCHIDEE_SVN_HEAD  ORCHIDEE trunk
 #-H- ORCHIDEE_SVN_HEAD  IOIPSL trunk
-#-H- ORCHIDEE_SVN_HEAD  libIGCM tag libIGCM_v1_11
+#-H- ORCHIDEE_SVN_HEAD  libIGCM tag libIGCM_v2.0_beta2
 #-H- ORCHIDEE_SVN_HEAD  FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_SVN_HEAD  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_HEAD  IOIPSL/trunk/src       HEAD   8 IOIPSL/src      modeles
-##-C- ORCHIDEE_SVN_HEAD  tags/libIGCM_v2.0_beta1 HEAD 10 libIGCM         .
-#-C- ORCHIDEE_SVN_HEAD  tags/libIGCM_v1_11 HEAD 10 libIGCM         .
+#-C- ORCHIDEE_SVN_HEAD  tags/libIGCM_v2.0_beta2 HEAD 10 libIGCM         .
 #-C- ORCHIDEE_SVN_HEAD  PATCHED/FCM_V1.2       HEAD  13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_SVN_HEAD  trunk/ORCHIDEE                 ?       14 .
@@ -308,10 +307,9 @@
 #-H- ORCHIDEE_SVN_DEV  ORCHIDEE trunk
 #-H- ORCHIDEE_SVN_DEV  IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v1_11
+#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.0_beta2
 #-H- ORCHIDEE_SVN_DEV  FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_SVN_DEV  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_DEV  IOIPSL/tags/v2_2_1/src HEAD   8 IOIPSL/src      modeles
-###-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.0_beta1 HEAD  10 libIGCM         .
-#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v1_11 HEAD  10 libIGCM         .
+#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.0_beta2 HEAD  10 libIGCM         .
 #-C- ORCHIDEE_SVN_DEV  PATCHED/FCM_V1.2       HEAD  13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE                 ?       15 .
@@ -330,10 +328,9 @@
 #-H- ORCHIDEE_AR5  ORCHIDEE_OL SCRIPTS with no tag
 #-H- ORCHIDEE_AR5  IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_AR5  libIGCM tag libIGCM_v1_11
+#-H- ORCHIDEE_AR5  libIGCM tag libIGCM_v2.0_beta2
 #-H- ORCHIDEE_AR5  FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_AR5  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_AR5  IOIPSL/tags/v2_2_1/src   HEAD            8  IOIPSL/src modeles
-###-C- ORCHIDEE_AR5  tags/libIGCM_v2.0_beta1  HEAD            10 libIGCM .
-#-C- ORCHIDEE_AR5  tags/libIGCM_v1_11  HEAD            10 libIGCM .
+#-C- ORCHIDEE_AR5  tags/libIGCM_v2.0_beta2  HEAD            10 libIGCM .
 #-C- ORCHIDEE_AR5  PATCHED/FCM_V1.2         HEAD            13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_AR5  ORCHIDEE                 orchidee_1_9_5  2  .
@@ -349,10 +346,9 @@
 #-H- ORCHIDEE_SVN_AR5 ORCHIDEE tag ORCHIDEE_1_9_5
 #-H- ORCHIDEE_SVN_AR5 IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v1_11
+#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.0_beta2
 #-H- ORCHIDEE_SVN_AR5 FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_SVN_AR5 Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_AR5 IOIPSL/tags/v2_2_1/src   HEAD            8  IOIPSL/src      modeles
-###-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.0_beta1  HEAD            10 libIGCM         .
-#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v1_11  HEAD            10 libIGCM         .
+#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.0_beta2  HEAD            10 libIGCM         .
 #-C- ORCHIDEE_SVN_AR5 PATCHED/FCM_V1.2         HEAD            13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE                 ?       14 .
@@ -368,10 +364,9 @@
 #-H- ORCHIDEE_TAG ORCHIDEE tag ORCHIDEE_1_9_6
 #-H- ORCHIDEE_TAG IOIPSL trunk
-#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v1_11
+#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.0_beta2
 #-H- ORCHIDEE_TAG FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_TAG Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_TAG IOIPSL/trunk/src           HEAD            8  IOIPSL/src      modeles
-###-C- ORCHIDEE_TAG tags/libIGCM_v2.0_beta1  HEAD            10 libIGCM         .
-#-C- ORCHIDEE_TAG tags/libIGCM_v1_11  HEAD            10 libIGCM         .
+#-C- ORCHIDEE_TAG tags/libIGCM_v2.0_beta2  HEAD            10 libIGCM         .
 #-C- ORCHIDEE_TAG PATCHED/FCM_V1.2         HEAD            13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE                 ?       14 .
@@ -393,43 +388,6 @@
 ####-C- LMDZOR_v4  LMDZ4/branches/LMDZ4_AR5       HEAD               11 LMDZ       modeles
 #-C- LMDZOR_v4  CONFIG/LMDZOR/branches/LMDZOR_v4  HEAD               8  LMDZOR_v4  config
-#-C- LMDZOR_v4  tags/libIGCM_v2.0_beta1           HEAD               10 libIGCM    .
+#-C- LMDZOR_v4  tags/libIGCM_v2.0_beta2           HEAD               10 libIGCM    .
 #
-#-H- LMDZ4OR_v3  Obsolete version
-#-H- LMDZ4OR_v3  LMDZ4OR_v3 configuration with parallel LMDZ4 and ORCHIDEE
-#-M- LMDZ4OR_v3  Josefine.Ghattas@ipsl.jussieu.fr
-#-C- LMDZ4OR_v3  IOIPSL/tags/v2_2_1/src            HEAD               8  IOIPSL/src modeles
-#-C- LMDZ4OR_v3  ORCHIDEE                          orchidee_1_9_5     2  .          modeles
-#-C- LMDZ4OR_v3  LMDZ4/branches/LMDZ4_AR5          1483               11 LMDZ4      modeles
-#-C- LMDZ4OR_v3  CONFIG/LMDZOR/branches/LMDZ4OR_v3 HEAD               8  LMDZ4OR_v3 config
-#-C- LMDZ4OR_v3  tags/libIGCM_v2.0_beta1           HEAD               10 libIGCM    .
-#-
-#-H- LMDZ4OR_v2  Obsolete version
-#-H- LMDZ4OR_v2  LMDZ4OR_v2 configuration with parallel LMDZ4 and ORCHIDEE (fits with IPSLCM4_2)
-#-H- LMDZ4OR_v2  Official beta release
-#-H- LMDZ4OR_v2  IOIPSL/src svn tags/v2_1_6
-#-H- LMDZ4OR_v2  LMDZ4 SVN tag LMDZ4_V3_4
-#-H- LMDZ4OR_v2  ORCHIDEE tag orchidee_1_9_2
-#-H- LMDZ4OR_v2  LMDZ4OR_v2 svn branch
-#-H- LMDZ4OR_v2  libIGCM tag libIGCM_v2.0_beta1
-#-M- LMDZ4OR_v2  Josefine.Ghattas@ipsl.jussieu.fr
-#-C- LMDZ4OR_v2  IOIPSL/tags/v2_1_6/src            HEAD           8  IOIPSL/src modeles
-#-C- LMDZ4OR_v2  ORCHIDEE                          orchidee_1_9_2 2  .          modeles
-#-C- LMDZ4OR_v2  LMDZ4/tags/LMDZ4_V3_4             HEAD           11 LMDZ4      modeles
-#-C- LMDZ4OR_v2  CONFIG/LMDZOR/branches/LMDZ4OR_v2 HEAD           8  LMDZ4OR_v2 config
-#-C- LMDZ4OR_v2  tags/libIGCM_v2.0_beta1           HEAD           10 libIGCM    .
-#-
-#-H- LMDZ4OR  Obsolete version
-#-H- LMDZ4OR  LMDZ with ORCHIDEE :
-#-H- LMDZ4OR  closest version to the IPSL coupled model IPSLCM4_v1_OASIS3
-#-H- LMDZ4OR  LMDZ4 IPSL-CM4_IPCC_branch version
-#-H- LMDZ4OR  ORCHIDEE tag orchidee_1_3_1
-#-H- LMDZ4OR  IOIPSL tag ioipsl-2-1
-#-M- LMDZ4OR  fairhead@lmd.jussieu.fr
-#-C- LMDZ4OR  IOIPSL/src             ioipsl-2-1           1 . modeles
-#-C- LMDZ4OR  ORCHIDEE               orchidee_1_3_1       2 . modeles
-#-C- LMDZ4OR  LMDZ4                  IPSL-CM4_IPCC_branch 3 . modeles
-#-C- LMDZ4OR  LMDZ4OR                ?                    1 . config
-#-C- LMDZ4OR  IPSLCM4_v1/Utilitaires ipsl_cm4_v1_6        1 post_util .
-#-
 #-H- LMDZREPR  LMDZ and REBROBUS working configuration
 #-M- LMDZREPR  Josefine.Ghattas@ipsl.jussieu.fr
@@ -438,5 +396,5 @@
 #-C- LMDZREPR  trunk                                HEAD               16 REPROBUS   modeles
 #-C- LMDZREPR  CONFIG/LMDZREPR/branches/LMDZREPR_v1 HEAD               8  LMDZREPR   config
-#-C- LMDZREPR  tags/libIGCM_v2.0_beta1              HEAD               10 libIGCM    .
+#-C- LMDZREPR  tags/libIGCM_v2.0_beta2              HEAD               10 libIGCM    .
 #
 #