Index: TOOLS/PACK_IPSL/create_config_card.sh
===================================================================
--- TOOLS/PACK_IPSL/create_config_card.sh	(revision 1725)
+++ TOOLS/PACK_IPSL/create_config_card.sh	(revision 1726)
@@ -48,6 +48,20 @@
     IGCM_DEM_SIMU=${IGCM_DEM}/${PATH_SIMUL_SHORT}
     mkdir -p ${IGCM_DEM_SIMU}
-    rm -f ${IGCM_DEM_SIMU}/*
-    
+    rm -rf ${IGCM_DEM_SIMU}/*
+
+    #creation du repertoire permettant de stocker 
+    #les listes de fichiers qui ne sont pas au format output ou restart
+    #les listes de fichiers d'analyse, les monitos et les atlas
+    OTHER_TAR=${IGCM_DEM_SIMU}/other_tar
+    STORE_CP=${IGCM_DEM_SIMU}/store_cp
+    WORK_CP=${IGCM_DEM_SIMU}/work_cp
+
+    DEM_log -2 "creation des repertoires : $OTHER_TAR  - $STORE_CP - $WORK_CP"
+
+    mkdir -p ${OTHER_TAR}
+    mkdir -p ${STORE_CP}
+    mkdir -p ${WORK_CP}
+
+    # on recherche le nom du job
     JobName=""
     
@@ -83,4 +97,15 @@
     fi
 
+
+    # Etablir la liste des fichiers d'Analyse
+    grep ${PATH_SIMUL_FULL}/ ${LISTE_DMNFS} | grep Analyse  | awk '{print $2 " "  $3}' |  sort >> ${STORE_CP}/liste_analyse_files.txt
+
+
+    # Etablir la liste des fichiers Monito et Atlas
+    grep ${PATH_SIMUL_FULL}/ ${LISTE_DMNFS} | grep  MONITORING | awk '{print $2 " "  $3}' | sort >> ${WORK_CP}/liste_monito_files.txt
+    grep ${PATH_SIMUL_FULL}/ ${LISTE_DMNFS} | grep  ATLAS | awk '{print $2 " "  $3}' | sort >> ${WORK_CP}/liste_atlas_files.txt
+    
+
+
     # Lecture du nom du job
     JobName=`awk -F/ '{if (NR==1) print $(NF-3)}'  ${IGCM_TMP}/${$}.liste_restart_files_config.txt`
@@ -96,5 +121,5 @@
 # Sauvegarde des fichiers qui ne sont pas dans la norme
     cat ${IGCM_TMP}/${$}.info_tmp_bis.txt >> ${IGCM_TMP}/${$}.liste_no_restart_files_config.txt
-    mv ${IGCM_TMP}/${$}.liste_no_restart_files_config.txt ${IGCM_DEM_SIMU}/tar_no_restart_files.txt
+    mv ${IGCM_TMP}/${$}.liste_no_restart_files_config.txt ${OTHER_TAR}/tar_no_restart_files.txt
 
 
@@ -106,5 +131,5 @@
 # Sauvegarde des fichiers qui ne sont pas dans la norme
     cat ${IGCM_TMP}/${$}.info_tmp_bis.txt >> ${IGCM_TMP}/${$}.liste_no_output_files_config.txt
-    mv ${IGCM_TMP}/${$}.liste_no_output_files_config.txt ${IGCM_DEM_SIMU}/tar_no_output_files.txt
+    mv ${IGCM_TMP}/${$}.liste_no_output_files_config.txt ${OTHER_TAR}/tar_no_output_files.txt
 
 
@@ -161,4 +186,14 @@
 fi 
 
+# si les listes no_output et no_restart sont vides on les efface
+if [[ !  -s ${OTHER_TAR}/tar_no_output_files.txt ]]; then 
+    rm -f ${OTHER_TAR}/tar_no_output_files.txt
+fi 
+
+if [[ !  -s ${OTHER_TAR}/tar_no_restart_files.txt ]]; then 
+    rm -f ${OTHER_TAR}/tar_no_restart_files.txt
+fi 
+
+
 done
 
Index: TOOLS/PACK_IPSL/write_liste_pack.sh
===================================================================
--- TOOLS/PACK_IPSL/write_liste_pack.sh	(revision 1725)
+++ TOOLS/PACK_IPSL/write_liste_pack.sh	(revision 1726)
@@ -52,6 +52,9 @@
 
 # creation des repertoires with_tar et with_ncrcat
-
-mkdir -p ${IGCM_DEM_SIMU}/with_ncrcat ${IGCM_DEM_SIMU}/with_tar
+OUTPUT_NCRCAT=${IGCM_DEM_SIMU}/with_ncrcat
+OUTPUT_TAR=${IGCM_DEM_SIMU}/with_tar
+
+mkdir -p ${OUTPUT_NCRCAT}
+mkdir -p ${OUTPUT_TAR}
 
 # lecture de periodpack dans ${IGCM_DEM_SIMU}/period_pack.txt
@@ -117,5 +120,5 @@
                if [ ${date_fin} -ge ${date_begin_pack} ]
                then 
-		   echo ${file} >> ${IGCM_DEM_SIMU}/with_ncrcat/ncrcat_${type_file}_${date_begin_pack}_${date_end_pack}.list
+		   echo ${file} >> ${OUTPUT_NCRCAT}/ncrcat_${type_file}_${date_begin_pack}_${date_end_pack}.list
 		   echo ${date_debut} | cut -c 1-6 >>  ${IGCM_TMP}/${$}.date_${type_file}.txt
 		   grep -v ${file} ${IGCM_TMP}/${$}.info_${type_file}.txt > ${IGCM_TMP}/${$}.info_${type_file}.txt.tmp
@@ -136,9 +139,9 @@
 
 #On renomme le fichier ncrcat avec la date reelle de fin et non pas la premiere date suivant la fin 
-       sort ${IGCM_DEM_SIMU}/with_ncrcat/ncrcat_${type_file}_${date_begin_pack}_${date_end_pack}.list > ${IGCM_TMP}/${$}.ncrcat.tmp
+       sort ${OUTPUT_NCRCAT}/ncrcat_${type_file}_${date_begin_pack}_${date_end_pack}.list > ${IGCM_TMP}/${$}.ncrcat.tmp
        last_file=$(tail -n 1 ${IGCM_TMP}/${$}.ncrcat.tmp )
        extract_date_file=$( echo ${last_file}  | sed -e "s/.*${JobName}_//" )
        date_fin=$(echo ${extract_date_file}| sed 's%.*_\([0-9]\{8\}\)_.*$%\1%g' )
-       mv ${IGCM_DEM_SIMU}/with_ncrcat/ncrcat_${type_file}_${date_begin_pack}_${date_end_pack}.list ${IGCM_DEM_SIMU}/with_ncrcat/ncrcat_${type_file}_${date_begin_pack}_${date_fin}.list
+       mv ${OUTPUT_NCRCAT}/ncrcat_${type_file}_${date_begin_pack}_${date_end_pack}.list ${OUTPUT_NCRCAT}/ncrcat_${type_file}_${date_begin_pack}_${date_fin}.list
    done
    
@@ -220,5 +223,5 @@
 	if [[ -f ${IGCM_DEM_SIMU}/${type_file}_manquant.list && -s ${IGCM_DEM_SIMU}/${type_file}_manquant.list ]]; then 
 	    for date in `awk '{print $0}' ${IGCM_DEM_SIMU}/${type_file}_manquant.list` ; do 
-		ls -l ${IGCM_DEM_SIMU}/with_ncrcat/ncrcat_${type_file}* > ${IGCM_TMP}/${$}.liste_ncrcat
+		ls -l ${OUTPUT_NCRCAT}/ncrcat_${type_file}* > ${IGCM_TMP}/${$}.liste_ncrcat
 		for pack in $( awk '{print $9}' ${IGCM_TMP}/${$}.liste_ncrcat ) ; do 
 		    extract_date_file=$( echo ${pack}       | sed -e "s%.*${type_file}_%%" )
@@ -226,5 +229,5 @@
 		    date_fin=$(   echo ${extract_date_file} | sed 's%.*_\([0-9]\{8\}\).list%\1%g' | cut -c 1-6  )
 		    if [[ ${date} -ge ${date_debut} && ${date} -lt ${date_fin} ]]; then
-			mv ${pack} ${IGCM_DEM_SIMU}/with_tar/tar_${type_file}_${date_debut}_${date_fin}.list
+			mv ${pack} ${OUTPUT_TAR}/tar_${type_file}_${date_debut}_${date_fin}.list
 			break 
 		    else