Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/Chistorical/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/Chistorical/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/Chistorical/config.card	(revision 1743)
@@ -16,5 +16,6 @@
 LongName="IPSLCM5A CMIP5 DEVT phase historical example with large outputs"
 TagName=IPSLCM5A
-UserSpec=IPSLCM5/Chistorical
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=IPSLCM5/Chistorical
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/CpiControl/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/CpiControl/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/CpiControl/config.card	(revision 1743)
@@ -16,5 +16,6 @@
 LongName="IPSLCM5A CMIP5 DEVT phase CpiControl example with large outputs"
 TagName=IPSLCM5A_C
-UserSpec=IPSLCM5/CpiControl
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=IPSLCM5/CpiControl
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/EXP00/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/EXP00/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/EXP00/config.card	(revision 1743)
@@ -16,5 +16,6 @@
 LongName="IPSLCM5A CMIP5 DEVT phase pdControl example with limited outputs"
 TagName=IPSLCM5A
-UserSpec=IPSLCM5/EXP00
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=IPSLCM5/EXP00
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/historical/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/historical/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/historical/config.card	(revision 1743)
@@ -16,5 +16,6 @@
 LongName="IPSLCM5A CMIP5 DEVT phase historical example with large outputs"
 TagName=IPSLCM5A
-UserSpec=IPSLCM5/historical
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=IPSLCM5/historical
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/piControl/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/piControl/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/piControl/config.card	(revision 1743)
@@ -16,5 +16,6 @@
 LongName="IPSLCM5A CMIP5 DEVT phase piControl example with large outputs"
 TagName=IPSLCM5A
-UserSpec=IPSLCM5/piControl
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=IPSLCM5/piControl
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5CHS/ref1/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5CHS/ref1/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5CHS/ref1/config.card	(revision 1743)
@@ -16,5 +16,6 @@
 LongName="IPSLCM5A CMIP5 DEVT phase piControl example with large outputs"
 TagName=IPSLCM5A
-UserSpec=IPSLCM5REPR/ref1
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=IPSLCM5REPR/ref1
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1743)
@@ -13,5 +13,6 @@
 LongName="create_etat0_limit for interannuel amip run"
 TagName=LMDZ
-UserSpec=LMDZ/CREATE_amip
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/CREATE_amip
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1743)
@@ -13,5 +13,6 @@
 LongName="create_etat0_limit for climatology run"
 TagName=LMDZ
-UserSpec=LMDZ/CREATE_clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/CREATE_clim
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZ configuration"
 TagName=LMDZ
-UserSpec=LMDZ/clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/clim
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZOR configuration"
 TagName=LMDZOR
-UserSpec=LMDZOR/amip
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZOR/amip
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZOR configuration"
 TagName=LMDZOR
-UserSpec=LMDZOR/clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZOR/clim
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZREPR/ref1/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZREPR/ref1/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZREPR/ref1/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZ4OR configuration using the SVN trunk of LMDZ4"
 TagName=LMDZOR
-UserSpec=LMDZREPR/ref1
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZREPR/ref1
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/Chistorical/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/Chistorical/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/Chistorical/config.card	(revision 1743)
@@ -16,5 +16,6 @@
 LongName="IPSLCM5A CMIP5 DEVT phase historical example with large outputs"
 TagName=IPSLCM5A
-UserSpec=IPSLCM5/Chistorical
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=IPSLCM5/Chistorical
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/CpiControl/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/CpiControl/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/CpiControl/config.card	(revision 1743)
@@ -16,5 +16,6 @@
 LongName="IPSLCM5A CMIP5 DEVT phase CpiControl example with large outputs"
 TagName=IPSLCM5A_C
-UserSpec=IPSLCM5/CpiControl
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=IPSLCM5/CpiControl
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/EXP00/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/EXP00/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/EXP00/config.card	(revision 1743)
@@ -16,5 +16,6 @@
 LongName="IPSLCM5A CMIP5 DEVT phase pdControl example with limited outputs"
 TagName=IPSLCM5A
-UserSpec=IPSLCM5/EXP00
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=IPSLCM5/EXP00
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/historical/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/historical/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/historical/config.card	(revision 1743)
@@ -16,5 +16,6 @@
 LongName="IPSLCM5A CMIP5 DEVT phase historical example with large outputs"
 TagName=IPSLCM5A
-UserSpec=IPSLCM5/historical
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=IPSLCM5/historical
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/piControl/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/piControl/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/piControl/config.card	(revision 1743)
@@ -16,5 +16,6 @@
 LongName="IPSLCM5A CMIP5 DEVT phase piControl example with large outputs"
 TagName=IPSLCM5A
-UserSpec=IPSLCM5/piControl
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=IPSLCM5/piControl
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1743)
@@ -13,5 +13,6 @@
 LongName="create_etat0_limit for interannuel amip run"
 TagName=LMDZ
-UserSpec=LMDZ/CREATE_amip
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/CREATE_amip
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1743)
@@ -13,5 +13,6 @@
 LongName="create_etat0_limit for climatology run"
 TagName=LMDZ
-UserSpec=LMDZ/CREATE_clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/CREATE_clim
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZ configuration"
 TagName=LMDZ
-UserSpec=LMDZ/clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/clim
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZOR configuration"
 TagName=LMDZOR
-UserSpec=LMDZOR/amip
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZOR/amip
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZOR configuration"
 TagName=LMDZOR
-UserSpec=LMDZOR/clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZOR/clim
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1743)
@@ -13,5 +13,6 @@
 LongName="create_etat0_limit for interannuel amip run"
 TagName=LMDZ
-UserSpec=LMDZ/CREATE_amip
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/CREATE_amip
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1743)
@@ -13,5 +13,6 @@
 LongName="create_etat0_limit for climatology run"
 TagName=LMDZ
-UserSpec=LMDZ/CREATE_clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/CREATE_clim
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZ configuration"
 TagName=LMDZ
-UserSpec=LMDZ/clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/clim
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZOR configuration"
 TagName=LMDZOR
-UserSpec=LMDZOR/amip
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZOR/amip
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZOR configuration"
 TagName=LMDZOR
-UserSpec=LMDZOR/clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZOR/clim
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER_L39/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER_L39/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER_L39/config.card	(revision 1743)
@@ -18,5 +18,6 @@
 LongName='Ajout de Stomate (NEW) - Fichiers sflx / aircraft / start / startphy  créés par S.Szopa '
 TagName=LMDZORINCA/${CHEM}
-UserSpec=LMDZORINCA/AER_L39
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZORINCA/AER_L39
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1743)
@@ -13,5 +13,6 @@
 LongName="create_etat0_limit for interannuel amip run"
 TagName=LMDZ
-UserSpec=LMDZ/CREATE_amip
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/CREATE_amip
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1743)
@@ -13,5 +13,6 @@
 LongName="create_etat0_limit for climatology run"
 TagName=LMDZ
-UserSpec=LMDZ/CREATE_clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/CREATE_clim
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZ configuration"
 TagName=LMDZ
-UserSpec=LMDZ/clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/clim
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZOR configuration"
 TagName=LMDZOR
-UserSpec=LMDZOR/amip
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZOR/amip
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZOR configuration"
 TagName=LMDZOR
-UserSpec=LMDZOR/clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZOR/clim
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1743)
@@ -13,5 +13,6 @@
 LongName="create_etat0_limit for interannuel amip run"
 TagName=LMDZ
-UserSpec=LMDZ/CREATE_amip
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/CREATE_amip
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1743)
@@ -13,5 +13,6 @@
 LongName="create_etat0_limit for climatology run"
 TagName=LMDZ
-UserSpec=LMDZ/CREATE_clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/CREATE_clim
 #============================
 #D-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZ configuration"
 TagName=LMDZ
-UserSpec=LMDZ/clim
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZ/clim
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZREPR/ref1/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZREPR/ref1/config.card	(revision 1742)
+++ CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZREPR/ref1/config.card	(revision 1743)
@@ -17,5 +17,6 @@
 LongName="LMDZ4OR configuration using the SVN trunk of LMDZ4"
 TagName=LMDZOR
-UserSpec=LMDZREPR/ref1
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=LMDZREPR/ref1
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/UNIFORM/v5/propagate_master_config.ksh
===================================================================
--- CONFIG/UNIFORM/v5/propagate_master_config.ksh	(revision 1742)
+++ CONFIG/UNIFORM/v5/propagate_master_config.ksh	(revision 1743)
@@ -1,3 +1,4 @@
 #!/bin/ksh
+#set -xv
 #
 # Use this script to propagated modifcations done to files in one configuration
@@ -20,5 +21,5 @@
 verbose=yes
 BaseDir=`pwd`
-ConfigFamily=$(basename ${BaseDir}) 
+ConfigFamily=$( echo $MasterConfig | awk -F"_" '{print $2}' )
 ConfigList=`ls |grep ${ConfigFamily} |grep -v out |grep -v $MasterConfig`
 
@@ -32,4 +33,5 @@
 echo "" > $cpfile
 cd $BaseDir
+
 for conf in $ConfigList ; do
     for file in $FileList ; do